Update contact

Required Scopes:

contacts:write

Path Parameters
  • uid
    Type: stringFormat: uuid
    required

    The uid of the contact

Body·
  • email
    Type: string
    min length:  
    1
    Format: email

    The primary email for the contact.

  • name
    Type: string
    min length:  
    1
    max length:  
    60

    The contact's display name.

  • phone
    Type: string | null
    max length:  
    11

    An SMS-enabled phone number for the contact. Must be a US or Canadian-based number.

  • secondary_email
    Type: string | nullFormat: email

    A secondary email for the contact. Must be different from email.

Responses
  • application/json
  • application/json
  • application/json
Request Example for patch/v1/contacts/{uid}/
curl https://api.foundation.dev.trusspayments.com/v1/contacts/123e4567-e89b-12d3-a456-426614174000/ \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "email": "",
  "secondary_email": null,
  "phone": null
}'
{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "name": "string",
  "email": null,
  "secondary_email": null,
  "phone": null
}